glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::InetSocketAddress Class Reference
Portable Network I/O Functionality

Internet SocketAddress. More...

`#include <giomm/inetsocketaddress.h>`

Inheritance diagram for Gio::InetSocketAddress:
[legend]

## Public Member Functions
| InetSocketAddress (InetSocketAddress&& src) noexcept
InetSocketAddress& | operator= (InetSocketAddress&& src) noexcept
| ~InetSocketAddress () noexcept override
GInetSocketAddress* | gobj ()
| Provides access to the underlying C GObject. More...
const GInetSocketAddress* | gobj () const
| Provides access to the underlying C GObject. More...
GInetSocketAddress* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< InetAddress > | get_address ()
| Gets address's InetAddress. More...
Glib::RefPtr< const InetAddress > | get_address () const
| Gets address's InetAddress. More...
guint16 | get_port () const
| Gets address's port. More...
guint32 | get_flowinfo () const
| Gets the `sin6_flowinfo` field from address, which must be an IPv6 address. More...
guint32 | get_scope_id () const
| Gets the `sin6_scope_id` field from address, which must be an IPv6 address. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< InetAddress > > | property_address () const
| The address. More...
Glib::PropertyProxy_ReadOnly< guint16 > | property_port () const
| The port. More...
Glib::PropertyProxy_ReadOnly< guint32 > | property_flowinfo () const
| The `sin6_flowinfo` field, for IPv6 addresses. More...
Glib::PropertyProxy_ReadOnly< guint32 > | property_scope_id () const
| IPv6 scope ID. More...
Public Member Functions inherited from Gio::SocketAddress
| SocketAddress (SocketAddress&& src) noexcept
SocketAddress& | operator= (SocketAddress&& src) noexcept
| ~SocketAddress () noexcept override
GSocketAddress* | gobj ()
| Provides access to the underlying C GObject. More...
const GSocketAddress* | gobj () const
| Provides access to the underlying C GObject. More...
GSocketAddress* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
SocketFamily | get_family () const
| Gets the socket family type of address. More...
bool | to_native (gpointer dest, gsize destlen)
| Converts a SocketAddress to a native struct sockaddr, which can be passed to low-level functions like connect() or bind(). More...
gssize | get_native_size () const
| Gets the size of address's native struct sockaddr. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< SocketFamily > > | property_family () const
| The family of the socket address. More...
Public Member Functions inherited from Glib::Object
| Object (const Object&)=delete
Object& | operator= (const Object&)=delete
| Object (Object&& src) noexcept
Object& | operator= (Object&& src) noexcept
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase&)=delete
ObjectBase& | operator= (const ObjectBase&)=delete
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | connect_property_changed (const Glib::ustring& property_name, sigc::slot< void >&& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, sigc::slot< void >&& slot)
| You can use the signal_changed() signal of the property proxy instead. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gio::SocketConnectable
| SocketConnectable (SocketConnectable&& src) noexcept
SocketConnectable& | operator= (SocketConnectable&& src) noexcept
| ~SocketConnectable () noexcept override
GSocketConnectable* | gobj ()
| Provides access to the underlying C GObject. More...
const GSocketConnectable* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::RefPtr< SocketAddressEnumerator > | enumerate ()
| Creates a SocketAddressEnumerator for connectable. More...
Glib::RefPtr< const SocketAddressEnumerator > | enumerate () const
| Creates a SocketAddressEnumerator for connectable. More...
Glib::RefPtr< SocketAddressEnumerator > | proxy_enumerate ()
| Creates a SocketAddressEnumerator for connectable that will return a ProxyAddress for each of its addresses that you must connect to via a proxy. More...
Glib::RefPtr< const SocketAddressEnumerator > | proxy_enumerate () const
| Creates a SocketAddressEnumerator for connectable that will return a ProxyAddress for each of its addresses that you must connect to via a proxy. More...
Glib::ustring | to_string () const
| Format a SocketConnectable as a string. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| A Default constructor. More...
| Interface (Interface&& src) noexcept
Interface& | operator= (Interface&& src) noexcept
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
| ~Interface () noexcept override
| Interface (const Interface&)=delete
Interface& | operator= (const Interface&)=delete
GObject* | gobj ()
const GObject* | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< InetSocketAddress > | create (const Glib::RefPtr< InetAddress >& address, guint16 port)
Static Public Member Functions inherited from Gio::SocketAddress
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< SocketAddress > | create (gpointer native, gsize len)
| Creates a SocketAddress subclass corresponding to the native struct sockaddr native. More...
Static Public Member Functions inherited from Gio::SocketConnectable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| InetSocketAddress (const Glib::RefPtr< InetAddress >& address, guint16 port)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| This default constructor is called implicitly from the constructor of user-derived classes, even if, for instance, Gtk::Button calls a different ObjectBase constructor. More...
| ObjectBase (const char* custom_type_name)
| A derived constructor always overrides this choice. More...
| ObjectBase (const std::type_info& custom_type_info)
| This constructor is a special feature to allow creation of derived types on the fly, without having to use g_object_new() manually. More...
| ObjectBase (ObjectBase&& src) noexcept
ObjectBase& | operator= (ObjectBase&& src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject* castitem)
void | initialize_move (GObject* castitem, Glib::ObjectBase* previous_wrapper)
Protected Member Functions inherited from Gio::SocketConnectable
| SocketConnectable ()
| You should derive from this class to use it. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::InetSocketAddress > | wrap (GInetSocketAddress* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gio::SocketAddress
Glib::RefPtr< Gio::SocketAddress > | wrap (GSocketAddress* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Glib::Object
Glib::RefPtr< Glib::Object > | wrap (GObject* object, bool take_copy=false)
Related Functions inherited from Gio::SocketConnectable
Glib::RefPtr< Gio::SocketConnectable > | wrap (GSocketConnectable* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
using | DestroyNotify = void(*)(gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

Internet SocketAddress.

An IPv4 or IPv6 socket address; that is, the combination of a InetAddress and a port number.

An IPv4 or IPv6 socket address, corresponding to a struct sockaddr_in or struct sockaddr_in6.

Since glibmm 2.24:

## Constructor & Destructor Documentation

Gio::InetSocketAddress::InetSocketAddress | ( | InetSocketAddress&& | src | ) |
| noexcept

Gio::InetSocketAddress::~InetSocketAddress | ( |  | ) |
| override noexcept

Gio::InetSocketAddress::InetSocketAddress | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port
| ) |  |
| explicit protected

## Member Function Documentation

static Glib::RefPtr<InetSocketAddress> Gio::InetSocketAddress::create | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port
| ) |  |
| static

Glib::RefPtr<InetAddress> Gio::InetSocketAddress::get_address | ( |  | ) |

Gets address's InetAddress.

Since glibmm 2.22:

Returns
  The InetAddress for address, which must be Glib::object_ref()'d if it will be stored.

Glib::RefPtr<const InetAddress> Gio::InetSocketAddress::get_address | ( |  | ) | const

Gets address's InetAddress.

Since glibmm 2.22:

Returns
  The InetAddress for address, which must be Glib::object_ref()'d if it will be stored.

guint32 Gio::InetSocketAddress::get_flowinfo | ( |  | ) | const

Gets the `sin6_flowinfo` field from address, which must be an IPv6 address.

Since glibmm 2.32:

Returns
  The flowinfo field.

guint16 Gio::InetSocketAddress::get_port | ( |  | ) | const

Gets address's port.

Since glibmm 2.22:

Returns
  The port for address.

guint32 Gio::InetSocketAddress::get_scope_id | ( |  | ) | const

Gets the `sin6_scope_id` field from address, which must be an IPv6 address.

Since glibmm 2.32:

Returns
  The scope id field.

static GType Gio::InetSocketAddress::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GInetSocketAddress* Gio::InetSocketAddress::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GInetSocketAddress* Gio::InetSocketAddress::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GInetSocketAddress* Gio::InetSocketAddress::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

InetSocketAddress& Gio::InetSocketAddress::operator= | ( | InetSocketAddress&& | src | ) |
| noexcept

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<InetAddress> > Gio::InetSocketAddress::property_address | ( |  | ) | const

The address.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint32 > Gio::InetSocketAddress::property_flowinfo | ( |  | ) | const

The `sin6_flowinfo` field, for IPv6 addresses.

Since glibmm 2.32:

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint16 > Gio::InetSocketAddress::property_port | ( |  | ) | const

The port.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint32 > Gio::InetSocketAddress::property_scope_id | ( |  | ) | const

IPv6 scope ID.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::InetSocketAddress > wrap | ( | GInetSocketAddress * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.